Subject: Re: [PATCH v3 net-next] rndis_host: Flag RNDIS modems as WWAN devices

From: Michał Pecio <[email-masked]>
Date: Sat, 12 Apr 2025 00:42:03 +0200

On Tue, 25 Mar 2025 10:58:41 +0100, Lubomir Rintel wrote:
> Set FLAG_WWAN instead of FLAG_ETHERNET for RNDIS interfaces on Mobile
> Broadband Modems, as opposed to regular Ethernet adapters.
> 
> Otherwise NetworkManager gets confused, misjudges the device type,
> and wouldn't know it should connect a modem to get the device to work.
> What would be the result depends on ModemManager version -- older
> ModemManager would end up disconnecting a device after an unsuccessful
> probe attempt (if it connected without needing to unlock a SIM), while
> a newer one might spawn a separate PPP connection over a tty interface
> instead, resulting in a general confusion and no end of chaos.
> 
> The only way to get this work reliably is to fix the device type
> and have good enough version ModemManager (or equivalent).
> 
> Signed-off-by: Lubomir Rintel <[email-masked]>
> Fixes: 63ba395cd7a5 ("rndis_host: support Novatel Verizon USB730L")

Hi,

This patch appears to have caused a regression for some users,
who opened a bug against the USB subsystem here:

https://bugzilla.kernel.org/show_bug.cgi?id=220002

Regards,
Michal